Bug 1662314 - kernel BUG at fs/ext4/inode.c:2679!
Summary: kernel BUG at fs/ext4/inode.c:2679!
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 16:02 UTC by lu4nx
Modified: 2019-02-21 21:07 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:07:18 UTC
Type: Bug


Attachments (Terms of Use)

Description lu4nx 2018-12-27 16:02:21 UTC
Description of problem:
Kernel Panic Occurs when did the Fedora release 29 on x86_64

Version-Release number of selected component (if applicable):
Linux lx-pc 4.19.10-300.fc29.x86_64 #1 SMP Mon Dec 17 15:34:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Not known, I just suspending the VMWare  guest Windows 10 system.


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
12月 27 23:35:40 lx-pc kernel: kernel BUG at fs/ext4/inode.c:2679!
12月 27 23:35:40 lx-pc kernel: invalid opcode: 0000 [#1] SMP PTI
12月 27 23:35:40 lx-pc kernel: CPU: 0 PID: 13446 Comm: kworker/u16:2 Tainted: G        W  OE     4.19.10-300.fc29.x86_64 #1
12月 27 23:35:40 lx-pc kernel: Hardware name: LENOVO 20L5A028HK/20L5A028HK, BIOS N24ET35W (1.10 ) 02/12/2018
12月 27 23:35:40 lx-pc kernel: Workqueue: writeback wb_workfn (flush-8:0)
12月 27 23:35:40 lx-pc kernel: RIP: 0010:mpage_prepare_extent_to_map+0x286/0x2b0
12月 27 23:35:40 lx-pc kernel: Code: 86 32 fe ff ff 31 c0 eb ab 4c 89 f7 e8 f3 8a e9 ff e9 a1 fe ff ff be 0e 00 00 00 4c 89 f7 e8 71 8e e9 ff e9 f4 fe ff ff 0f 0b <0f> 0b 48 8d 7c 24 18 89 44 24 08 e8 ca 08 eb ff 8b 44 24 08 e9 71
12月 27 23:35:40 lx-pc kernel: RSP: 0018:ffffb5fa49f83978 EFLAGS: 00010246
12月 27 23:35:40 lx-pc kernel: RAX: 0017fffe00000039 RBX: ffffb5fa49f839a8 RCX: 00000000000eb74a
12月 27 23:35:40 lx-pc kernel: RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000000
12月 27 23:35:40 lx-pc kernel: RBP: 000000000000c3fe R08: 0000000000000000 R09: ffff9dcabf7d3000
12月 27 23:35:40 lx-pc kernel: R10: 00000000000eb6fc R11: 0000000000027360 R12: ffffb5fa49f83a10
12月 27 23:35:40 lx-pc kernel: R13: ffff9dc9a285d280 R14: ffffe844cbfb4bc0 R15: ffffb5fa49f83af0
12月 27 23:35:40 lx-pc kernel: FS:  0000000000000000(0000) GS:ffff9dcaaf600000(0000) knlGS:0000000000000000
12月 27 23:35:40 lx-pc kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
12月 27 23:35:40 lx-pc kernel: CR2: 00007fd5dd6b9ba0 CR3: 000000003e20a004 CR4: 00000000003606f0
12月 27 23:35:40 lx-pc kernel: Call Trace:
12月 27 23:35:40 lx-pc kernel:  ext4_writepages+0x5e0/0xf00
12月 27 23:35:40 lx-pc kernel:  ? do_writepages+0x41/0xd0
12月 27 23:35:40 lx-pc kernel:  ? ext4_mark_inode_dirty+0x1d0/0x1d0
12月 27 23:35:40 lx-pc kernel:  do_writepages+0x41/0xd0
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x40/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x34/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x40/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x34/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x40/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x34/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x40/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x34/0x70
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x40/0x70
12月 27 23:35:40 lx-pc kernel:  __writeback_single_inode+0x3d/0x350
12月 27 23:35:40 lx-pc kernel:  writeback_sb_inodes+0x1d0/0x460
12月 27 23:35:40 lx-pc kernel:  __writeback_inodes_wb+0x5d/0xb0
12月 27 23:35:40 lx-pc kernel:  wb_writeback+0x255/0x2f0
12月 27 23:35:40 lx-pc kernel:  wb_workfn+0x30c/0x400
12月 27 23:35:40 lx-pc kernel:  ? __switch_to_asm+0x34/0x70
12月 27 23:35:40 lx-pc kernel:  process_one_work+0x1a1/0x3a0
12月 27 23:35:40 lx-pc kernel:  worker_thread+0x30/0x380
12月 27 23:35:40 lx-pc kernel:  ? pwq_unbound_release_workfn+0xd0/0xd0
12月 27 23:35:40 lx-pc kernel:  kthread+0x112/0x130
12月 27 23:35:40 lx-pc kernel:  ? kthread_create_worker_on_cpu+0x70/0x70
12月 27 23:35:40 lx-pc kernel:  ret_from_fork+0x35/0x40
12月 27 23:35:40 lx-pc kernel: Modules linked in: cdc_acm ccm binfmt_misc xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT bridge ip6t_rpfilter stp llc ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables vmnet(OE) ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock bnep vmw_vmci vmmon(OE) sunrpc arc4 snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_acpi_intel_match snd_soc_acpi snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support snd_soc_core iwlmvm intel_rapl snd_hda_codec_realtek
12月 27 23:35:40 lx-pc kernel:  snd_compress x86_pkg_temp_thermal snd_hda_codec_generic intel_powerclamp ac97_bus coretemp snd_pcm_dmaengine mac80211 snd_hda_intel kvm_intel snd_hda_codec crct10dif_pclmul crc32_pclmul uvcvideo ghash_clmulni_intel snd_hda_core intel_cstate snd_hwdep videobuf2_vmalloc snd_seq intel_uncore videobuf2_memops intel_rapl_perf btusb iwlwifi videobuf2_v4l2 snd_seq_device btrtl videobuf2_common btbcm btintel snd_pcm bluetooth joydev videodev cfg80211 wmi_bmof media intel_wmi_thunderbolt i2c_i801 snd_timer ecdh_generic mei_me idma64 mei thinkpad_acpi intel_lpss_pci intel_pch_thermal intel_lpss snd soundcore rfkill int3403_thermal ucsi_acpi processor_thermal_device typec_ucsi int340x_thermal_zone typec intel_soc_dts_iosf int3400_thermal acpi_pad acpi_thermal_rel pcc_cpufreq i915 kvmgt mdev vfio
12月 27 23:35:40 lx-pc kernel:  kvm irqbypass i2c_algo_bit drm_kms_helper drm e1000e crc32c_intel serio_raw wmi video uas usb_storage
12月 27 23:35:40 lx-pc kernel: ---[ end trace 7ff6c3463220437e ]---
12月 27 23:35:40 lx-pc kernel: RIP: 0010:mpage_prepare_extent_to_map+0x286/0x2b0
12月 27 23:35:40 lx-pc kernel: Code: 86 32 fe ff ff 31 c0 eb ab 4c 89 f7 e8 f3 8a e9 ff e9 a1 fe ff ff be 0e 00 00 00 4c 89 f7 e8 71 8e e9 ff e9 f4 fe ff ff 0f 0b <0f> 0b 48 8d 7c 24 18 89 44 24 08 e8 ca 08 eb ff 8b 44 24 08 e9 71
12月 27 23:35:40 lx-pc kernel: RSP: 0018:ffffb5fa49f83978 EFLAGS: 00010246
12月 27 23:35:40 lx-pc kernel: RAX: 0017fffe00000039 RBX: ffffb5fa49f839a8 RCX: 00000000000eb74a
12月 27 23:35:40 lx-pc kernel: RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000000
12月 27 23:35:40 lx-pc kernel: RBP: 000000000000c3fe R08: 0000000000000000 R09: ffff9dcabf7d3000
12月 27 23:35:40 lx-pc kernel: R10: 00000000000eb6fc R11: 0000000000027360 R12: ffffb5fa49f83a10
12月 27 23:35:40 lx-pc kernel: R13: ffff9dc9a285d280 R14: ffffe844cbfb4bc0 R15: ffffb5fa49f83af0
12月 27 23:35:40 lx-pc kernel: FS:  0000000000000000(0000) GS:ffff9dcaaf600000(0000) knlGS:0000000000000000
12月 27 23:35:40 lx-pc kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
12月 27 23:35:40 lx-pc kernel: CR2: 00007fd5dd6b9ba0 CR3: 000000003e20a004 CR4: 00000000003606f0
12月 27 23:35:40 lx-pc kernel: WARNING: CPU: 0 PID: 13446 at kernel/exit.c:773 do_exit+0x4f/0xb30
12月 27 23:35:40 lx-pc kernel: Modules linked in: cdc_acm ccm binfmt_misc xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT bridge ip6t_rpfilter stp llc ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables vmnet(OE) ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock bnep vmw_vmci vmmon(OE) sunrpc arc4 snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_acpi_intel_match snd_soc_acpi snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support snd_soc_core iwlmvm intel_rapl snd_hda_codec_realtek
12月 27 23:35:40 lx-pc kernel:  snd_compress x86_pkg_temp_thermal snd_hda_codec_generic intel_powerclamp ac97_bus coretemp snd_pcm_dmaengine mac80211 snd_hda_intel kvm_intel snd_hda_codec crct10dif_pclmul crc32_pclmul uvcvideo ghash_clmulni_intel snd_hda_core intel_cstate snd_hwdep videobuf2_vmalloc snd_seq intel_uncore videobuf2_memops intel_rapl_perf btusb iwlwifi videobuf2_v4l2 snd_seq_device btrtl videobuf2_common btbcm btintel snd_pcm bluetooth joydev videodev cfg80211 wmi_bmof media intel_wmi_thunderbolt i2c_i801 snd_timer ecdh_generic mei_me idma64 mei thinkpad_acpi intel_lpss_pci intel_pch_thermal intel_lpss snd soundcore rfkill int3403_thermal ucsi_acpi processor_thermal_device typec_ucsi int340x_thermal_zone typec intel_soc_dts_iosf int3400_thermal acpi_pad acpi_thermal_rel pcc_cpufreq i915 kvmgt mdev vfio
12月 27 23:35:40 lx-pc kernel:  kvm irqbypass i2c_algo_bit drm_kms_helper drm e1000e crc32c_intel serio_raw wmi video uas usb_storage
12月 27 23:35:40 lx-pc kernel: CPU: 0 PID: 13446 Comm: kworker/u16:2 Tainted: G      D W  OE     4.19.10-300.fc29.x86_64 #1
12月 27 23:35:40 lx-pc kernel: Hardware name: LENOVO 20L5A028HK/20L5A028HK, BIOS N24ET35W (1.10 ) 02/12/2018
12月 27 23:35:40 lx-pc kernel: Workqueue: writeback wb_workfn (flush-8:0)
12月 27 23:35:40 lx-pc kernel: RIP: 0010:do_exit+0x4f/0xb30
12月 27 23:35:40 lx-pc kernel: Code: 04 25 28 00 00 00 48 89 44 24 40 31 c0 e8 49 6c 07 00 48 8b 83 18 08 00 00 48 85 c0 74 0e 48 8b 10 48 39 d0 0f 84 a3 04 00 00 <0f> 0b 65 44 8b 2d c7 f1 f5 73 41 81 e5 00 ff 1f 00 44 89 6c 24 0c
12月 27 23:35:40 lx-pc kernel: RSP: 0018:ffffb5fa49f83ed8 EFLAGS: 00010206
12月 27 23:35:40 lx-pc kernel: RAX: ffffb5fa49f83d90 RBX: ffff9dca94589f80 RCX: 0000000000000000
12月 27 23:35:40 lx-pc kernel: RDX: ffff9dca9f415440 RSI: 0000000000000000 RDI: ffffffff8d269dc0
12月 27 23:35:40 lx-pc kernel: RBP: 000000000000000b R08: 0000000000000004 R09: 000000000000000f
12月 27 23:35:40 lx-pc kernel: R10: 0000000000000000 R11: ffffffff8d9b616d R12: ffffb5fa49f838c8
12月 27 23:35:40 lx-pc kernel: R13: 0000000000000000 R14: 0000000000000004 R15: ffffb5fa49f838c8
12月 27 23:35:40 lx-pc kernel: FS:  0000000000000000(0000) GS:ffff9dcaaf600000(0000) knlGS:0000000000000000
12月 27 23:35:40 lx-pc kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
12月 27 23:35:40 lx-pc kernel: CR2: 00007fd5dd6b9ba0 CR3: 000000003e20a004 CR4: 00000000003606f0
12月 27 23:35:40 lx-pc kernel: Call Trace:
12月 27 23:35:40 lx-pc kernel:  ? worker_thread+0x30/0x380
12月 27 23:35:40 lx-pc kernel:  ? pwq_unbound_release_workfn+0xd0/0xd0
12月 27 23:35:40 lx-pc kernel:  ? kthread+0x112/0x130
12月 27 23:35:40 lx-pc kernel:  rewind_stack_do_exit+0x17/0x20
12月 27 23:35:40 lx-pc kernel: ---[ end trace 7ff6c3463220437f ]---

Comment 1 joe22sp 2019-01-09 14:24:17 UTC
I'm getting this crash regularly when using kvm or VirtualBox
( fs/ext4/inode.c:3897 ext4_set_page_dirty , kernel BUG at fs/ext4/inode.c:2679 invalid opcode: 0000 )
Not sure now if it happens also without using virtualization.

Jan  8 18:10:21 carb kernel: WARNING: CPU: 2 PID: 8545 at fs/ext4/inode.c:3897 ext4_set_page_dirty+0x48/0x50
Jan  8 18:10:21 carb kernel: Modules linked in: vhost_net vhost tap thunderbolt rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns devlink nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common btusb btrtl btbcm videodev btintel iwlmvm bluetooth snd_soc_skl media snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support wmi_bmof intel_wmi_thunderbolt snd_soc_skl_ipc mac80211 snd_soc_sst_ipc
Jan  8 18:10:21 carb kernel: snd_soc_sst_dsp snd_hda_ext_core snd_soc_acpi_intel_match snd_soc_acpi snd_hda_codec_realtek ecdh_generic snd_soc_core snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_compress ac97_bus snd_pcm_dmaengine iwlwifi kvm_intel snd_hda_intel intel_cstate snd_hda_codec intel_uncore intel_rapl_perf snd_hda_core snd_hwdep snd_seq snd_seq_device cfg80211 snd_pcm thinkpad_acpi joydev mei_me snd_timer mei ucsi_acpi snd typec_ucsi processor_thermal_device i2c_i801 intel_soc_dts_iosf intel_pch_thermal typec soundcore wmi rfkill int3403_thermal int340x_thermal_zone int3400_thermal acpi_thermal_rel pcc_cpufreq acpi_pad vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) dm_thin_pool dm_persistent_data libcrc32c dm_bio_prison dm_crypt i915 kvmgt mdev vfio kvm irqbypass
Jan  8 18:10:21 carb kernel: i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul drm crc32c_intel e1000e nvme ghash_clmulni_intel nvme_core serio_raw video i2c_hid
Jan  8 18:10:21 carb kernel: CPU: 2 PID: 8545 Comm: worker Tainted: G           O      4.19.13-300.fc29.x86_64 #1
Jan  8 18:10:21 carb kernel: Hardware name: LENOVO 20KH0039MC/20KH0039MC, BIOS N23ET59W (1.34 ) 11/08/2018
Jan  8 18:10:21 carb kernel: RIP: 0010:ext4_set_page_dirty+0x48/0x50
Jan  8 18:10:21 carb kernel: Code: 08 48 8d 42 ff 83 e2 01 48 0f 44 c7 48 8b 00 a8 10 74 0d 48 8b 07 f6 c4 10 74 0f e9 82 81 f8 ff 0f 0b 48 8b 07 f6 c4 10 75 f1 <0f> 0b eb ed 0f 1f 40 00 0f 1f 44 00 00 41 54 41 89 d4 55 48 89 fd
Jan  8 18:10:21 carb kernel: RSP: 0018:ffffbc035090f528 EFLAGS: 00010246
Jan  8 18:10:21 carb kernel: RAX: 000ffffe0001004d RBX: ffffdcff40f26340 RCX: 0000000000000000
Jan  8 18:10:21 carb kernel: RDX: 0000000000000000 RSI: 0000000000000008 RDI: ffffdcff40f26340
Jan  8 18:10:21 carb kernel: RBP: ffffdcff40f26340 R08: 0000000000000067 R09: 0000000000000002
Jan  8 18:10:21 carb kernel: R10: 00000000000273c0 R11: 0000000000000001 R12: ffff91e1149a0440
Jan  8 18:10:21 carb kernel: R13: ffff91e0cd3c5a28 R14: 0000000000000019 R15: 000000003c98d045
Jan  8 18:10:21 carb kernel: FS:  00007fab238f8700(0000) GS:ffff91e11a480000(0000) knlGS:0000000000000000
Jan  8 18:10:21 carb kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jan  8 18:10:21 carb kernel: CR2: 00007fab39600000 CR3: 0000000155252002 CR4: 00000000003626e0
Jan  8 18:10:21 carb kernel: Call Trace:
Jan  8 18:10:21 carb kernel: try_to_unmap_one+0x410/0xa90
Jan  8 18:10:21 carb kernel: rmap_walk_file+0x152/0x2f0
Jan  8 18:10:21 carb kernel: try_to_unmap+0x9c/0x110
Jan  8 18:10:21 carb kernel: ? page_remove_rmap+0x3b0/0x3b0
Jan  8 18:10:21 carb kernel: ? page_not_mapped+0x20/0x20
Jan  8 18:10:21 carb kernel: ? page_get_anon_vma+0x80/0x80
Jan  8 18:10:21 carb kernel: migrate_pages+0x51d/0xca0
Jan  8 18:10:21 carb kernel: ? isolate_freepages_block+0x3b0/0x3b0
Jan  8 18:10:21 carb kernel: ? update_pageblock_skip+0xb0/0xb0
Jan  8 18:10:21 carb kernel: compact_zone+0x62e/0x890
Jan  8 18:10:21 carb kernel: compact_zone_order+0x9d/0xe0
Jan  8 18:10:21 carb kernel: try_to_compact_pages+0xa5/0x240
Jan  8 18:10:21 carb kernel: __alloc_pages_direct_compact+0x4a/0xf0
Jan  8 18:10:21 carb kernel: __alloc_pages_slowpath+0x427/0xd10
Jan  8 18:10:21 carb kernel: __alloc_pages_nodemask+0x2bc/0x2e0
Jan  8 18:10:21 carb kernel: do_huge_pmd_anonymous_page+0x126/0x8f0
Jan  8 18:10:21 carb kernel: __handle_mm_fault+0xdd2/0x1370
Jan  8 18:10:21 carb kernel: handle_mm_fault+0xda/0x200
Jan  8 18:10:21 carb kernel: __do_page_fault+0x249/0x4f0
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x40/0x70
Jan  8 18:10:21 carb kernel: do_page_fault+0x32/0x110
Jan  8 18:10:21 carb kernel: page_fault+0x1e/0x30
Jan  8 18:10:21 carb kernel: RIP: 0010:copy_user_enhanced_fast_string+0xe/0x20
Jan  8 18:10:21 carb kernel: Code: 89 d1 c1 e9 03 83 e2 07 f3 48 a5 89 d1 f3 a4 31 c0 0f 01 ca c3 0f 1f 80 00 00 00 00 0f 01 cb 83 fa 40 0f 82 70 ff ff ff 89 d1 <f3> a4 31 c0 0f 01 ca c3 66 2e 0f 1f 84 00 00 00 00 00 0f 01 cb 83
Jan  8 18:10:21 carb kernel: RSP: 0018:ffffbc035090fc68 EFLAGS: 00050206
Jan  8 18:10:21 carb kernel: RAX: 00007fab39601000 RBX: 0000000000000000 RCX: 0000000000001000
Jan  8 18:10:21 carb kernel: RDX: 0000000000001000 RSI: ffff91e00360f000 RDI: 00007fab39600000
Jan  8 18:10:21 carb kernel: RBP: 0000000000001000 R08: ffff91e0fcb2edd0 R09: ffff91e0fcb2eda0
Jan  8 18:10:21 carb kernel: R10: ffff91e0fcb2edc8 R11: 0000000000000000 R12: ffffbc035090fe18
Jan  8 18:10:21 carb kernel: R13: ffff91e00360f000 R14: 0000000000001000 R15: ffffbc035090fe50
Jan  8 18:10:21 carb kernel: copyout+0x25/0x30
Jan  8 18:10:21 carb kernel: copy_page_to_iter+0x115/0x310
Jan  8 18:10:21 carb kernel: generic_file_read_iter+0x4cc/0xd10
Jan  8 18:10:21 carb kernel: ? __hrtimer_init+0xb0/0xb0
Jan  8 18:10:21 carb kernel: ? _cond_resched+0x15/0x30
Jan  8 18:10:21 carb kernel: do_iter_readv_writev+0x181/0x1b0
Jan  8 18:10:21 carb kernel: do_iter_read+0xd3/0x180
Jan  8 18:10:21 carb kernel: vfs_readv+0x6f/0xb0
Jan  8 18:10:21 carb kernel: ? syscall_trace_enter+0x192/0x2c0
Jan  8 18:10:21 carb kernel: do_preadv+0x89/0xe0
Jan  8 18:10:21 carb kernel: do_syscall_64+0x5b/0x160
Jan  8 18:10:21 carb kernel: entry_SYSCALL_64_after_hwframe+0x44/0xa9
Jan  8 18:10:21 carb kernel: RIP: 0033:0x7fac4abe6282
Jan  8 18:10:21 carb kernel: Code: 89 d4 55 48 89 f5 53 89 fb 48 83 ec 18 e8 86 6b 01 00 45 31 c0 4d 89 ea 44 89 e2 41 89 c1 48 89 ee 89 df b8 27 01 00 00 0f 05 <48> 3d 00 f0 ff ff 77 3a 44 89 cf 48 89 44 24 08 e8 b9 6b 01 00 48
Jan  8 18:10:21 carb kernel: RSP: 002b:00007fab238f7610 EFLAGS: 00000246 ORIG_RAX: 0000000000000127
Jan  8 18:10:21 carb kernel: RAX: ffffffffffffffda RBX: 0000000000000016 RCX: 00007fac4abe6282
Jan  8 18:10:21 carb kernel: RDX: 0000000000000002 RSI: 000055e03cb5f550 RDI: 0000000000000016
Jan  8 18:10:21 carb kernel: RBP: 000055e03cb5f550 R08: 0000000000000000 R09: 0000000000000000
Jan  8 18:10:21 carb kernel: R10: 0000000387924000 R11: 0000000000000246 R12: 0000000000000002
Jan  8 18:10:21 carb kernel: R13: 0000000387924000 R14: 000055e03d9b3c60 R15: 00007fab238f7880
Jan  8 18:10:21 carb kernel: ---[ end trace f3cbb8e16d1d97c4 ]---
Jan  8 18:10:21 carb kernel: ------------[ cut here ]------------
Jan  8 18:10:21 carb kernel: kernel BUG at fs/ext4/inode.c:2679!
Jan  8 18:10:21 carb kernel: invalid opcode: 0000 [#1] SMP PTI
Jan  8 18:10:21 carb kernel: CPU: 6 PID: 7553 Comm: kworker/u16:3 Tainted: G        W  O      4.19.13-300.fc29.x86_64 #1
Jan  8 18:10:21 carb kernel: Hardware name: LENOVO 20KH0039MC/20KH0039MC, BIOS N23ET59W (1.34 ) 11/08/2018
Jan  8 18:10:21 carb kernel: Workqueue: writeback wb_workfn (flush-253:4)
Jan  8 18:10:21 carb kernel: RIP: 0010:mpage_prepare_extent_to_map+0x286/0x2b0
Jan  8 18:10:21 carb kernel: Code: 86 32 fe ff ff 31 c0 eb ab 4c 89 f7 e8 53 8a e9 ff e9 a1 fe ff ff be 0e 00 00 00 4c 89 f7 e8 d1 8d e9 ff e9 f4 fe ff ff 0f 0b <0f> 0b 48 8d 7c 24 18 89 44 24 08 e8 4a 08 eb ff 8b 44 24 08 e9 71
Jan  8 18:10:21 carb kernel: RSP: 0018:ffffbc034657b978 EFLAGS: 00010246
Jan  8 18:10:21 carb kernel: RAX: 000ffffe0001007d RBX: ffffbc034657b9a0 RCX: 0000000000000003
Jan  8 18:10:21 carb kernel: RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff91e10d580260
Jan  8 18:10:21 carb kernel: RBP: 0000000000003400 R08: 0000000000000000 R09: ffffbc034657b998
Jan  8 18:10:21 carb kernel: R10: ffff91e10d57d488 R11: 0000000000000000 R12: ffffbc034657b9a0
Jan  8 18:10:21 carb kernel: R13: ffff91e10d580258 R14: ffffdcff40f2b2c0 R15: ffffbc034657baf0
Jan  8 18:10:21 carb kernel: FS:  0000000000000000(0000) GS:ffff91e11a580000(0000) knlGS:0000000000000000
Jan  8 18:10:21 carb kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jan  8 18:10:21 carb kernel: CR2: 00002d3efdc7e6c8 CR3: 00000001ed20a006 CR4: 00000000003626e0
Jan  8 18:10:21 carb kernel: Call Trace:
Jan  8 18:10:21 carb kernel: ? native_usergs_sysret64+0x1/0x10
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x34/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x40/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x34/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x40/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x34/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to+0x8c/0x4a0
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x34/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x40/0x70
Jan  8 18:10:21 carb kernel: ? _cond_resched+0x15/0x30
Jan  8 18:10:21 carb kernel: ? kmem_cache_alloc+0x166/0x1d0
Jan  8 18:10:21 carb kernel: ext4_writepages+0x4b9/0xf00
Jan  8 18:10:21 carb kernel: ? kmem_cache_alloc+0x166/0x1d0
Jan  8 18:10:21 carb kernel: ? blk_mq_start_request+0x5b/0x110
Jan  8 18:10:21 carb kernel: ? generic_make_request+0x5b/0x410
Jan  8 18:10:21 carb kernel: ? do_writepages+0x41/0xd0
Jan  8 18:10:21 carb kernel: ? ext4_mark_inode_dirty+0x1d0/0x1d0
Jan  8 18:10:21 carb kernel: do_writepages+0x41/0xd0
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x40/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x34/0x70
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x34/0x70
Jan  8 18:10:21 carb kernel: __writeback_single_inode+0x3d/0x350
Jan  8 18:10:21 carb kernel: ? __switch_to_asm+0x40/0x70
Jan  8 18:10:21 carb kernel: writeback_sb_inodes+0x1d0/0x460
Jan  8 18:10:21 carb kernel: __writeback_inodes_wb+0x5d/0xb0
Jan  8 18:10:21 carb kernel: wb_writeback+0x255/0x2f0
Jan  8 18:10:21 carb kernel: ? get_nr_inodes+0x35/0x50
Jan  8 18:10:21 carb kernel: ? cpumask_next+0x17/0x20
Jan  8 18:10:21 carb kernel: wb_workfn+0x186/0x400
Jan  8 18:10:21 carb kernel: process_one_work+0x1a1/0x3a0
Jan  8 18:10:21 carb kernel: worker_thread+0x30/0x380
Jan  8 18:10:21 carb kernel: ? pwq_unbound_release_workfn+0xd0/0xd0
Jan  8 18:10:21 carb kernel: kthread+0x112/0x130
Jan  8 18:10:21 carb kernel: ? kthread_create_worker_on_cpu+0x70/0x70
Jan  8 18:10:21 carb kernel: ret_from_fork+0x35/0x40
Jan  8 18:10:21 carb kernel: Modules linked in: vhost_net vhost tap thunderbolt rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns devlink nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common btusb btrtl btbcm videodev btintel iwlmvm bluetooth snd_soc_skl media snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support wmi_bmof intel_wmi_thunderbolt snd_soc_skl_ipc mac80211 snd_soc_sst_ipc
Jan  8 18:10:21 carb kernel: snd_soc_sst_dsp snd_hda_ext_core snd_soc_acpi_intel_match snd_soc_acpi snd_hda_codec_realtek ecdh_generic snd_soc_core snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_compress ac97_bus snd_pcm_dmaengine iwlwifi kvm_intel snd_hda_intel intel_cstate snd_hda_codec intel_uncore intel_rapl_perf snd_hda_core snd_hwdep snd_seq snd_seq_device cfg80211 snd_pcm thinkpad_acpi joydev mei_me snd_timer mei ucsi_acpi snd typec_ucsi processor_thermal_device i2c_i801 intel_soc_dts_iosf intel_pch_thermal typec soundcore wmi rfkill int3403_thermal int340x_thermal_zone int3400_thermal acpi_thermal_rel pcc_cpufreq acpi_pad vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) dm_thin_pool dm_persistent_data libcrc32c dm_bio_prison dm_crypt i915 kvmgt mdev vfio kvm irqbypass
Jan  8 18:10:21 carb kernel: i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul drm crc32c_intel e1000e nvme ghash_clmulni_intel nvme_core serio_raw video i2c_hid
Jan  8 18:10:21 carb kernel: ---[ end trace f3cbb8e16d1d97c5 ]---
Jan  8 18:10:21 carb kernel: RIP: 0010:mpage_prepare_extent_to_map+0x286/0x2b0
Jan  8 18:10:21 carb kernel: Code: 86 32 fe ff ff 31 c0 eb ab 4c 89 f7 e8 53 8a e9 ff e9 a1 fe ff ff be 0e 00 00 00 4c 89 f7 e8 d1 8d e9 ff e9 f4 fe ff ff 0f 0b <0f> 0b 48 8d 7c 24 18 89 44 24 08 e8 4a 08 eb ff 8b 44 24 08 e9 71
Jan  8 18:10:21 carb kernel: RSP: 0018:ffffbc034657b978 EFLAGS: 00010246
Jan  8 18:10:21 carb kernel: RAX: 000ffffe0001007d RBX: ffffbc034657b9a0 RCX: 0000000000000003
Jan  8 18:10:21 carb kernel: RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff91e10d580260
Jan  8 18:10:21 carb kernel: RBP: 0000000000003400 R08: 0000000000000000 R09: ffffbc034657b998
Jan  8 18:10:21 carb kernel: R10: ffff91e10d57d488 R11: 0000000000000000 R12: ffffbc034657b9a0
Jan  8 18:10:21 carb kernel: R13: ffff91e10d580258 R14: ffffdcff40f2b2c0 R15: ffffbc034657baf0
Jan  8 18:10:21 carb kernel: FS:  0000000000000000(0000) GS:ffff91e11a580000(0000) knlGS:0000000000000000
Jan  8 18:10:21 carb kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jan  8 18:10:21 carb kernel: CR2: 00002d3efdc7e6c8 CR3: 00000001ed20a006 CR4: 00000000003626e0

Comment 2 Justin M. Forbes 2019-01-29 16:13:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-02-21 21:07:18 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.